View Issue Details

IDProjectCategoryView StatusLast Update
0021312mantisbtupgradepublic2018-05-10 13:18
Reporterjterry Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
Status confirmedResolutionopen 
Platformx86_64OSLinux 
Product Version1.3.0 
Summary0021312: Error Schema step 193 - Upgrading 1.2.19 to 1.3.0
Description

When upgrade 1.2.19 installation to 1.3.0 and when updating the database it stops with the following error (the 1.2.19 database schema version is 183):

Schema step 193: UpdateFunction ( check_config_serialization ) - BAD

And stops

Found this similar bug 0019267 buit is closed, and still getting that error.

Steps To Reproduce

Upgrade from 1.2.19 to 1.3.0 and when in the Web upgrade process the error appears when updating the database. The upgrade stops with BAD error and not continues.

TagsNo tags attached.

Relationships

related to 0019267 closedvboctor Upgrade converts complex db configs to NULLs 
has duplicate 0022514 closedatrol Upgrading from 1.2.19 to 2.2.1 fail with Schema step 193: UpdateFunction ( check_config_serialization ) 
related to 0021376 closeddregad Error in upgrade process 1.2.17 --> 1.3.0 
related to 0021573 closedvboctor Error update from 1.2.19 to 1.3.0 / step 194 
related to 0024416 closeddregad Improve handling of unserialize errors when upgrading 

Activities

atrol

atrol

2016-07-17 17:32

developer   ~0053623

Please attach the output of the following statement to the issue
SELECT * FROM mantis_config_table WHERE type=3;

jterry

jterry

2016-07-17 17:38

reporter   ~0053624

mysql> SELECT * FROM mantis_config_table WHERE type=3;
+------------------------------------------+------------+---------+-------------+------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| config_id | project_id | user_id | access_reqd | type | value |
+------------------------------------------+------------+---------+-------------+------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| update_bugnote_threshold | 0 | 0 | 90 | 3 | a:4:{i:0;i:25;i:1;i:55;i:2;i:70;i:3;i:90;} |
| status_enum_workflow | 0 | 0 | 90 | 3 | a:7:{i:10;s:86:"20:se necesitan m?s datos,30:aceptado,40:confirmado,50:asignado,80:resuelto,90:cerrado";i:20;s:69:"10:nuevo,30:aceptado,40:confirmado,50:asignado,80:resuelto,90:cerrado";i:30;s:83:"10:nuevo,20:se necesitan m?s datos,40:confirmado,50:asignado,80:resuelto,90:cerrado";i:40;s:81:"10:nuevo,20:se necesitan m?s datos,30:aceptado,50:asignado,80:resuelto,90:cerrado";i:50;s:83:"10:nuevo,20:se necesitan m?s datos,30:aceptado,40:confirmado,80:resuelto,90:cerrado";i:80;s:83:"10:nuevo,20:se necesitan m?s datos,30:aceptado,40:confirmado,50:asignado,90:cerrado";i:90;s:84:"10:nuevo,20:se necesitan m?s datos,30:aceptado,40:confirmado,50:asignado,80:resuelto";} |
| set_status_threshold | 0 | 0 | 90 | 3 | a:6:{i:20;i:10;i:30;i:10;i:40;i:10;i:50;i:10;i:80;i:10;i:90;i:55;} |
| csv_columns | 0 | 0 | 90 | 3 | a:19:{i:0;s:2:"id";i:1;s:10:"project_id";i:2;s:11:"reporter_id";i:3;s:10:"handler_id";i:4;s:8:"priority";i:5;s:8:"severity";i:6;s:15:"reproducibility";i:7;s:7:"version";i:8;s:11:"category_id";i:9;s:14:"date_submitted";i:10;s:2:"os";i:11;s:8:"os_build";i:12;s:8:"platform";i:13;s:10:"view_state";i:14;s:12:"last_updated";i:15;s:7:"summary";i:16;s:6:"status";i:17;s:10:"resolution";i:18;s:16:"fixed_in_version";} |
| excel_columns | 0 | 0 | 90 | 3 | a:19:{i:0;s:2:"id";i:1;s:10:"project_id";i:2;s:11:"reporter_id";i:3;s:10:"handler_id";i:4;s:8:"priority";i:5;s:8:"severity";i:6;s:15:"reproducibility";i:7;s:7:"version";i:8;s:11:"category_id";i:9;s:14:"date_submitted";i:10;s:2:"os";i:11;s:8:"os_build";i:12;s:8:"platform";i:13;s:10:"view_state";i:14;s:12:"last_updated";i:15;s:7:"summary";i:16;s:6:"status";i:17;s:10:"resolution";i:18;s:16:"fixed_in_version";} |
| plugin_Reminder_reminder_bug_status | 0 | 0 | 90 | 3 | a:5:{i:0;i:10;i:1;i:20;i:2;i:30;i:3;i:40;i:4;i:50;} |
| plugin_Reminder_reminder_feedback_status | 0 | 0 | 90 | 3 | a:5:{i:0;i:10;i:1;i:20;i:2;i:30;i:3;i:40;i:4;i:50;} |
+------------------------------------------+------------+---------+-------------+------+--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
7 rows in set (0.00 sec)

mysql>

atrol

atrol

2016-07-18 07:11

developer   ~0053626

I have no time to try at the moment.

It might be the status_enum_workflow entry which causes the issue.
You could delete this entry and use page "Workflow Transitions" after upgrade to apply the settings again.

jterry

jterry

2016-07-18 11:33

reporter   ~0053628

With your info i solved this way:

Went to "Workflow Transitions" and in the cross chart that lets choose "next step" (sorry i have in spanish and don't know how is called in english) y filled it (there was no next step for anything.

After that it upgraded seamlessly

Thanks!

atrol

atrol

2016-07-18 15:14

developer   ~0053633

@dregad, any new idea for this 0019267:0048720?

What we should do is make it clear to the admin what why the error is occuring, and give them options (what they can do to fix it).

Saficard

Saficard

2017-03-13 12:01

reporter   ~0056058

I have the same problem from mantis 1.2.19 to mantis 2.2.1
Here is my SELECT * FROM mantis_config_table WHERE type=3;

config_id project_id user_id access_reqd type value


default_notify_flags 0 0 90 3 {"reporter":1,"handler":1,"threshold_min":100,"threshold_max":0}
notify_flags 0 0 90 3 {"owner":{"monitor":1,"bugnotes":1,"threshold_min":"55","threshold_max":"70"},"reopened":{"monitor":1,"bugnotes":1,"threshold_min":"40","threshold_max":"70"},"deleted":{"monitor":1,"bugnotes":1},"bugnote":{"monitor":1,"bugnotes":1,"threshold_min":"40","threshold_max":"70"},"new":{"threshold_min":"55","threshold_max":"70"},"feedback":{"monitor":1,"bugnotes":1,"threshold_min":"25","thr
status_enum_workflow 0 0 90 3 a:7:{i:10;s:67:"20:commentaire,30:accepté,40:confirmé,50:affecté,80:résolu,90:fermé";i:20;s:63:"10:nouveau,30:accepté,40:confirmé,50:affecté,80:résolu,90:fermé";i:30;s:67:"10:nouveau,20:commentaire,40:confirmé,50:affecté,80:résolu,90:fermé";i:40;s:66:"10:nouveau,20:commentaire,30:accepté,50:affecté,80:résolu,90:fermé";i:50;s:67:"10:nouveau,20:commentaire,30:accepté
set_status_threshold 0 0 90 3 a:7:{i:20;i:10;i:30;i:10;i:40;i:10;i:50;i:10;i:60;i:10;i:80;i:10;i:90;i:10;}
view_issues_page_columns 0 0 90 3 a:14:{i:0;s:9:"selection";i:1;s:4:"edit";i:2;s:8:"priority";i:3;s:2:"id";i:4;s:17:"sponsorship_total";i:5;s:14:"bugnotes_count";i:6;s:10:"attachment";i:7;s:11:"category_id";i:8;s:7:"version";i:9;s:14:"target_version";i:10;s:8:"severity";i:11;s:6:"status";i:12;s:12:"last_updated";i:13;s:7:"summary";}
plugin_EmailReporting_mailboxes 0 0 90 3 a:1:{i:0;a:12:{s:7:"enabled";i:1;s:11:"description";s:7:"Support";s:12:"mailbox_type";s:4:"POP3";s:8:"hostname";s:17:"mail.saficard.com";s:4:"port";s:0:"";s:10:"encryption";s:8:"STARTTLS";s:15:"ssl_cert_verify";i:0;s:12:"erp_username";s:20:"demande@saficard.com";s:12:"erp_password";s:12:"a1FidDEzNz8=";s:11:"auth_method";s:4:"USER";s:10:"project_id";i:22;s:18:"global_category_id";i:1;

Saficard

Saficard

2017-03-13 12:59

reporter   ~0056061

I don't understand how jterry fixed it.
I have "next status" for everythings.

jterry

jterry

2017-03-13 17:53

reporter   ~0056067

Hello
Don't remember what i did exactly, but try check all checkboxes (or uncheck)

maxbanks

maxbanks

2017-07-20 17:51

reporter   ~0057273

Hi!

I have the same problem, an I can fix it :(
jterry if you remember the solution, please sendme the fix!! and if do you like, please write in spanish, and I can translate to all. I don't have any box to check or uncheck....

Here is my SELECT * FROM mantis_config_table WHERE type=3;

"default_notify_flags","0","0","90","3","{""monitor"":1,""threshold_min"":100,""threshold_max"":0}"
"notify_flags","0","0","90","3","{""owner"":{""handler"":1,""threshold_min"":""70"",""threshold_max"":""90""},""reopened"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""deleted"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""bugnote"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""relationship"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""new"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""feedback"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""},""acknowledged"":{""threshold_min"":""90"",""threshold_max"":""90""},""confirmed"":{""threshold_min"":""90"",""threshold_max"":""90""},""assigned"":{""handler"":1,""threshold_min"":""70"",""threshold_max"":""90""},""resolved"":{""reporter"":1,""handler"":1,""threshold_min"":""55"",""threshold_max"":""90""}}"
"status_enum_workflow","0","0","90","3","a:7:{i:10;s:75:""20:se necesitan más datos,30:aceptado,40:confirmado,50:asignado,80:resuelto"";i:20;s:58:""10:nuevo,30:aceptado,40:confirmado,50:asignado,80:resuelto"";i:30;s:72:""10:nuevo,20:se necesitan más datos,40:confirmado,50:asignado,80:resuelto"";i:40;s:70:""10:nuevo,20:se necesitan más datos,30:aceptado,50:asignado,80:resuelto"";i:50;s:72:""10:nuevo,20:se necesitan más datos,30:aceptado,40:confirmado,80:resuelto"";i:80;s:83:""10:nuevo,20:se necesitan más datos,30:aceptado,40:confirmado,50:asignado,90:cerrado"";i:90;s:84:""10:nuevo,20:se necesitan más datos,30:aceptado,40:confirmado,50:asignado,80:resuelto"";}"
"set_status_threshold","0","0","90","3","a:6:{i:20;i:10;i:30;i:10;i:40;i:10;i:50;i:10;i:80;i:10;i:90;i:10;}"
"set_status_threshold","8","0","90","3","a:6:{i:20;i:90;i:30;i:90;i:40;i:90;i:50;i:55;i:80;i:55;i:90;i:90;}"
"status_enum_workflow","8","0","90","3","a:4:{i:10;s:23:""50:assigned,80:resolved"";i:50;s:11:""80:resolved"";i:80;s:11:""20:feedback"";i:90;s:11:""20:feedback"";}"

error193.png (94,470 bytes)   
error193.png (94,470 bytes)   
maxbanks

maxbanks

2017-07-21 09:14

reporter   ~0057282

Hi again!

I delete the both rows status_enum_workflow (one for each project) and try again, but continue with the same error.

maxbanks

maxbanks

2017-07-21 09:54

reporter   ~0057283

Good news!

I deleted all rows with type 3 and retry the upgrade.
The upgrade finished ok and all work fine.

I maked a quick check with create issue, assign issue, and so on, and all work fine.

Thanks!

jfei

jfei

2018-01-25 02:20

reporter   ~0058608

Hi,

I got the same issue, I customized the "view issues" page adding some customized fields, it's work in older version, but get error in 2.10.

Can you please help me this?

Thanks a lot,
Joey

$45988F3C8735713D.jpg (75,002 bytes)   
$45988F3C8735713D.jpg (75,002 bytes)   
$59B7DF68C3406FBA.jpg (24,730 bytes)   
$59B7DF68C3406FBA.jpg (24,730 bytes)   

Issue History

Date Modified Username Field Change
2016-07-17 17:10 jterry New Issue
2016-07-17 17:32 atrol Status new => feedback
2016-07-17 17:32 atrol Note Added: 0053623
2016-07-17 17:38 jterry Note Added: 0053624
2016-07-17 17:38 jterry Status feedback => new
2016-07-18 07:11 atrol Status new => feedback
2016-07-18 07:11 atrol Note Added: 0053626
2016-07-18 11:33 jterry Note Added: 0053628
2016-07-18 11:33 jterry Status feedback => new
2016-07-18 13:33 atrol Relationship added related to 0019267
2016-07-18 15:14 atrol Note Added: 0053633
2016-07-18 15:14 atrol Status new => confirmed
2016-07-19 06:10 atrol Relationship added related to 0021376
2016-08-03 10:35 vboctor Relationship added related to 0021573
2017-03-13 11:43 atrol Relationship added has duplicate 0022514
2017-03-13 12:01 Saficard Note Added: 0056058
2017-03-13 12:59 Saficard Note Added: 0056061
2017-03-13 17:53 jterry Note Added: 0056067
2017-07-20 17:51 maxbanks File Added: error193.png
2017-07-20 17:51 maxbanks Note Added: 0057273
2017-07-21 09:14 maxbanks Note Added: 0057282
2017-07-21 09:54 maxbanks Note Added: 0057283
2018-01-25 02:20 jfei File Added: $45988F3C8735713D.jpg
2018-01-25 02:20 jfei File Added: $59B7DF68C3406FBA.jpg
2018-01-25 02:20 jfei Note Added: 0058608
2018-01-25 10:47 michael.milshtein Issue cloned: 0023889
2018-05-10 13:18 atrol Relationship added related to 0024416